#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 17. Networking Libraries

- Prev

  GeoClue-2.8.1

- Next

  kdsoap-2.3.0

- Up
- Home

# glib-networking-2.80.1

## Introduction to GLib Networking

The GLib Networking package contains Network related gio modules for GLib.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://download.gnome.org/sources/glib-networking/2.80/glib-networking-2.80.1.tar.xz

- Download MD5 sum: 405e6c058723217a1307ba8415615f9d

- Download size: 288 KB

- Estimated disk space required: 5.9 MB (with tests)

- Estimated build time: less than 0.1 SBU (with tests)

### GLib Networking Dependencies

#### Required

GLib-2.88.0 and GnuTLS-3.8.13

#### Recommended

gsettings-desktop-schemas-50.1 (for the applications using this package to use proxy server settings in GNOME) and make-ca-1.16.1

#### Optional

libproxy-0.5.12

## Installation of GLib Networking

Install GLib Networking by running the following commands:

    mkdir build &&
    cd    build &&

    meson setup             \
       --prefix=/usr        \
       --buildtype=release  \
       -D libproxy=disabled \
       .. &&
    ninja

To test the results, issue: ninja test.

Now, as the `root` user:

    ninja install

## Command Explanations

`--buildtype=release`: Specify a buildtype suitable for stable releases of the package, as the default may produce unoptimized binaries.

`-D libproxy=disabled`: This switch disables libproxy support. If you wish to build with libproxy to allow this package to retrieve proxy settings via it's API, remove this switch.

## Contents

Installed Program: None
Installed Libraries: libgiognomeproxy.so and libgiognutls.so (GIO Modules installed in `/usr/lib/gio/modules`)
Installed Directories: None

- Prev

  GeoClue-2.8.1

- Next

  kdsoap-2.3.0

- Up
- Home